/* this is a parallelpiped in the (+,+,+) octant containing the axes with
   an ellipsoid section removed from the corner at the origin */

xmax = 50.0; /* extents of the parallelpiped */
ymax = 50.0;
zmax = 20.0;
rx   = 4.0; /* radii of the ellipsoid */
ry   = 2.0;
rz   = 2.0;
ss   = .5; /* element size at the ellipsoid */
bs   = zmax;/* element size elsewhere */

/* the ellipsoid section */

Point(1) = {0.0,0.0,0.0,ss};
Point(2) = {rx,0.0,0.0,ss};
Point(3) = {0.0,ry,0.0,ss};
Point(4) = {0.0,0.0,rz,ss};
Ellipse(1) = {2,1,2,3};
Circle(2) = {3,1,4};
Ellipse(3) = {4,1,2,2};
//Point(12) = {xmax,0.0,0.4,bs};
//Ellipse(3) = {4,1,12,2};
Line Loop(21) = {1,2,3};
Ruled Surface(22) = {21};

/* the y=0 face */

Point(5) = {xmax,0.0,0.0,bs};
Point(6) = {xmax,0.0,zmax,bs};
Point(7) = {0.0,0.0,zmax,bs};
Line(4) = {2,5};
Line(5) = {5,6};
Line(6) = {6,7};
Line(7) = {7,4};
Line Loop(23) = {3,4,5,6,7};
Plane Surface(24) = {23};

/* the y=ymax face */

Point( 8) = {0.0,ymax,0.0,bs};
Point( 9) = {xmax,ymax,0.0,bs};
Point(10) = {xmax,ymax,zmax,bs};
Point(11) = {0.0,ymax,zmax,bs};
Line( 8) = {8,9};
Line( 9) = {9,10};
Line(10) = {10,11};
Line(11) = {11,8};
Line Loop(25) = {8,9,10,11};
Plane Surface(26) = {25};

/* the x=0 face */

Line(12) = {7,11};
Line(13) = {8,3};
Line Loop(27) = {2,-7,12,11,13};
Plane Surface(28) = {27};

/* the x=xmax face */

Line(14) = {6,10};
Line(15) = {9,5};
Line Loop(29) = {5,14,-9,15};
Plane Surface(30) = {29};

/* the z=0 face */

Line Loop(31) = {-1,4,-15,-8,13};
Plane Surface(32) = {31};

/* the z=zmax face */

Line Loop(33) = {-6,14,10,-12};
Plane Surface(34) = {33};

/* volume */

Surface Loop(1) = {22,24,32,30,26,34,28};
Volume(1) = {1};
